#
# Conditional build:
%bcond_with		gtk3		# build GTK+3 disables GTK+2
%bcond_without		gtk2	# build with GTK+2

%if %{with gtk3}
%undefine	with_gtk2
%endif

Summary:	lxauncher
Name:		lxlauncher
Version:	0.2.2
Release:	3
License:	GPL v3
Group:		X11/Applications
Source0:	http://downloads.sourceforge.net/lxde/%{name}-%{version}.tar.gz
# Source0-md5:	16df627447838b170a72cc3a9ee21497
URL:		http://wiki.lxde.org/en/LXLauncher
BuildRequires:	gettext-devel
%{?with_gtk2:BuildRequires:	gtk+2-devel >= 2:2.12.0}
%{?with_gtk3:BuildRequires:	gtk+3-devel}
BuildRequires:	intltool >= 0.40.0
BuildRequires:	menu-cache-devel
BuildRequires:	pkgconfig
BuildRequires:	startup-notification-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LXLauncher is an open source clone of Asus launcher for EeePC. It
outperformes the original launcher developed by Xandros.

%prep
%setup -q

%build
%configure \
	%{?with_gtk3:--enable-gtk3}
touch po/stamp-it
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# there is no frp locale so drop frp
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/{frp,ur_PK}
mv $RPM_BUILD_ROOT%{_datadir}/locale/tt{_RU,}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS README NEWS
%{_sysconfdir}/xdg/lxlauncher
%{_sysconfdir}/xdg/menus/lxlauncher-applications.menu
%attr(755,root,root) %{_bindir}/lxlauncher
%{_datadir}/desktop-directories/*directory
%changelog
* Sat Jul 20 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/lxlauncher.git;a=log;h=master

* Fri Sep 16 2011 lisu <lisu@pld-linux.org> 247fe9a
- there are ur and ur_PK locales in sources, keep ur and remove ur_PK

* Fri Sep 16 2011 lisu <lisu@pld-linux.org> 1dcbb40
- don't remove ur_PK and tt_RU locales

* Fri Aug 19 2011 ankry <ankry@pld-linux.org> d0e1029
- ur_PK and tt_RU are supported locale now; dirs fixed, rel. 3, STBR

* Mon Aug 15 2011 Elan Ruusamäe <glen@pld-linux.org> 52ef0dc
- rebuild

* Mon Aug 15 2011 lmasko <lmasko@pld-linux.org> 76529c7
- Locale fix.

* Mon Aug 15 2011 Elan Ruusamäe <glen@pld-linux.org> 8369027
- up to 0.2.2, gtk3 bcond

* Wed Feb 23 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 4a37664
- drop ur_PK locale (ur locale already exists)
- release 2

* Wed Sep 15 2010 Elan Ruusamäe <glen@pld-linux.org> b66193d
- BR: menu-cache-devel, startup-notification-devel
- workaround for broken po/Makefile

* Tue Sep 14 2010 Elan Ruusamäe <glen@pld-linux.org> f0d662d
- more precise urls

* Tue Sep 14 2010 Elan Ruusamäe <glen@pld-linux.org> 9419238
- ws cleanup

* Sun Aug 01 2010 witekfl <witekfl@pld-linux.org> f1ba9f9
- new
- added a patch from Mandriva SVN

